SoDecomposeMatrix(3)

NAME
SoDecomposeMatrix - The SoDecomposeMatrix class is used to decompose a matrix into simple transformations.

SYNOPSIS

#include <Inventor/engines/SoDecomposeMatrix.h>

Inherits SoEngine.

  Public Member Functions
virtual SoType getTypeId (void) const
virtual const SoFieldData * getFieldData (void) const
virtual const SoEngineOutputData * getOutputData (void) const

  Static Public Member Functions
static SoType getClassTypeId (void)
static void * createInstance (void)
static void initClass ()

  Public Attributes
SoMFMatrix matrix
SoMFVec3f center
SoEngineOutput translation
SoEngineOutput rotation
SoEngineOutput scaleFactor
SoEngineOutput scaleOrientation

  Static Protected Member Functions
static const SoFieldData ** getInputDataPtr (void)
static const SoEngineOutputData ** getOutputDataPtr (void)

  Additional Inherited Members

Detailed Description

The SoDecomposeMatrix class is used to decompose a matrix into simple transformations.

Member Function Documentation

  SoType SoDecomposeMatrix::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoDecomposeMatrix::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

Implements SoBase.

  const SoFieldData ** SoDecomposeMatrix::getInputDataPtr (void) [static], [protected]
Returns the SoFieldData class which holds information about inputs in this engine.

  const SoEngineOutputData ** SoDecomposeMatrix::getOutputDataPtr (void) [static], [protected]
Returns the SoEngineOutputData class which holds information about the outputs in this engine.

  const SoFieldData * SoDecomposeMatrix::getFieldData (void) const [virtual]
Returns the SoFieldData class which holds information about inputs in this engine.

Reimplemented from SoFieldContainer.

  const SoEngineOutputData * SoDecomposeMatrix::getOutputData (void) const [virtual]
Returns the SoEngineOutputData class which holds information about the outputs in this engine.

Implements SoEngine.

  void * SoDecomposeMatrix::createInstance (void) [static]
Creates a new instance of the class type corresponding to the SoType object.

Member Data Documentation

  SoMFMatrix SoDecomposeMatrix::matrix
Set of transformation matrices to decompose into their translation/rotation/scale parts.

  SoMFVec3f SoDecomposeMatrix::center
Center points of transform matrices.

  SoEngineOutput SoDecomposeMatrix::translation
(SoMFVec3f) Translation parts of input matrices.

  SoEngineOutput SoDecomposeMatrix::rotation
(SoMFRotation) Rotation parts of input matrices.

  SoEngineOutput SoDecomposeMatrix::scaleFactor
(SoMFVec3f) Scale vectors of input matrices.

  SoEngineOutput SoDecomposeMatrix::scaleOrientation
(SoMFRotation) Scale orientation values of the input matrices.

Author

Generated automatically by Doxygen for Coin from the source code.